org.eclipse.wst.jsdt.chromium.debug.core.util

## Class ScriptTargetMapping

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.ScriptTargetMapping

    public class ScriptTargetMapping
    extends java.lang.Object

Describes a relation between a file in workspace `IFile` and a script on remote VM `VmResource`. A file may participate in several mappings simultaneously.

### Constructor Summary

Constructors
Constructor and Description
`ScriptTargetMapping(IFile file, java.util.Collection<? extends VmResource> vmResources, ConnectedTargetData connectedTargetData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectedTargetData` `getConnectedTargetData()`
`IFile` `getFile()`
`JavascriptVm` `getJavascriptVm()`
`Script` `getSingleScript()` Utility method that works in the most cases.
`java.util.Collection<? extends VmResource>` `getVmResources()`
`boolean` `isVirtualProjectResource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptTargetMapping

    public ScriptTargetMapping(IFile file,
                               java.util.Collection<? extends VmResource> vmResources,
                               ConnectedTargetData connectedTargetData)

### Method Detail

#### getFile

    public IFile getFile()

#### getVmResources

    public java.util.Collection<? extends VmResource> getVmResources()

#### getJavascriptVm

    public JavascriptVm getJavascriptVm()

#### getConnectedTargetData

    public ConnectedTargetData getConnectedTargetData()

#### getSingleScript

    public Script getSingleScript()

Utility method that works in the most cases. TODO: re-design program and handle errors nicer than RuntimeException's

#### isVirtualProjectResource

    public boolean isVirtualProjectResource()

Returns:
  true if the mapped file is actually a file from the Virtual Project